<div class="row">
    <div class="col-md-10 col-xl-10 page-header-title">
        <h4>My Profile</h4>
        <br/>
        <br/>
    </div>
    <div class="col-md-12 col-xl-12">
        <div class="card card-border-primary"> 
            <div class="card-block row">
                <div class="col-lg-12 col-xl-12 form-group">
                    <h5><strong><strong>Personal Information</strong></strong></h5>
                    <hr/>
                </div>  
                <div class="col-md-2 col-xl-2 form-group">
                    <div class="card rounded-card user-card">
                        <div class="card-body" style="margin-top: 10px">
                            <div class="img-hover">
                                <img class="img-fluid img-circle" src="assets/images/user2.png" alt="round-img">
                                <div class="img-overlay">
                                    <span>
                                        <a [routerLink]="['/eim/profile']" class="btn btn-sm btn-primary btn-outline-primary" data-popup="lightbox"><i class="icofont icofont-ui-edit"></i></a>
                                    </span>
                                </div>
                            </div>
                            <div class="user-content">
                                <h4 class="">Nakarin Bunkerdluk</h4>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-xl-6 form-group row ">
                    <div class="col-md-12 col-xl-12 form-group">
                        <label class="col-form-label"><strong>Partner Id</strong></label>
                        <input type="text" class="form-control" id="partnerid"  value="5105387" readonly="true">
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">
                        <label class="col-form-label"><strong>First Name</strong></label>
                        <input type="text" class="form-control" id="first_name"  value="Nakarin" formControlName="first_name">
                    </div>
                    <div class="col-md-6 col-xl-6 form-group">
                        <label class="col-form-label"><strong>Last Name</strong></label>
                        <input type="text" class="form-control" id="last_name"  value="Bunkerdluk">
                    </div>
                </div>
                <div class="col-md-1 col-xl-1 form-group"></div>
                <div class="col-md-3 col-xl-3 form-group text-right">
                    <button type="button" class="btn btn-primary btn-md btn-block waves-effect text-center m-b-20" (click)="changepassword.show()"><i class="icofont icofont-ui-password"></i> Change Password</button>
                </div>
                <div class="col-md-3 col-xl-3 form-group">
                    <label class="col-form-label"><strong>Honorific</strong></label>
                    <select name="select" class="form-control">
                        <option value="opt1">Mr.</option> 
                        <option value="opt1">Mrs.</option> 
                        <option value="opt1">Ms.</option> 
                    </select> 
                </div>
                <div class="col-md-3 col-xl-3 form-group">
                    <label class="col-form-label"><strong>Gender</strong></label>
                    <select name="select" class="form-control">
                        <option value="opt1">Male</option> 
                        <option value="opt1">Female</option> 
                    </select> 
                </div>
                <div class="col-md-6 col-xl-6 form-group">
                    <label class="col-form-label"><strong>Primary Industry</strong></label>
                    <select name="select" class="form-control">
                        <option value="opt1">Education</option> 
                        <option value="opt1">Horizontal Design</option> 
                    </select> 
                </div>
                <div class="col-md-6 col-xl-6 form-group">
                    <label class="col-form-label"><strong>First Languange</strong></label>
                    <select name="select" class="form-control">
                        <option value="opt1">English</option> 
                        <option value="opt1">Chinnese</option> 
                    </select> 
                </div>
                <div class="col-md-6 col-xl-6 form-group">
                    <label class="col-form-label"><strong>Second Languange</strong></label>
                    <select name="select" class="form-control">
                        <option value="opt1">English</option> 
                        <option value="opt1">Chinnese</option> 
                    </select> 
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label"><strong>Address 1</strong></label>
                    <input type="text" class="form-control" id="address1"  value="520 Sims Avenue">
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label"><strong>Address 2</strong></label>
                    <input type="text" class="form-control" id="address2"  value="#02-04">
                </div>
                <div class="col-md-4 col-xl-4 form-group"> 
                    <label class="col-form-label"><strong>Address 3</strong></label>
                    <input type="text" class="form-control" id="address3"  value="">
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label"><strong>City</strong></label> 
                    <select name="select" class="form-control">
                        <option value="opt1">Singapore</option> 
                        <option value="opt1">Jakarta</option> 
                    </select> 
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label"><strong>State</strong></label> 
                    <select name="select" class="form-control">
                        <option value="opt1">Central Singapore</option> 
                        <option value="opt1">West Java Indonesia</option> 
                    </select> 
                </div>
                <div class="col-md-4 col-xl-4 form-group"> 
                    <label class="col-form-label"><strong>Country</strong></label> 
                    <select name="select" class="form-control">
                        <option value="opt1">Singapore</option> 
                        <option value="opt1">Indonesia</option> 
                    </select> 
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label"><strong>ZIP / Postal Code</strong></label> 
                    <input type="text" class="form-control" id="postal_code"  value="">
                </div>
                <div class="col-md-8 col-xl-8 form-group">
                    <label class="col-form-label"><strong>Website</strong></label> 
                    <input type="text" class="form-control" id="website"  value="">
                </div>
                <div class="col-md-12 col-xl-12 form-group"> 
                    <label class="col-form-label"><strong>Bio</strong></label> 
                    <textarea class="form-control" style="height:100px"></textarea>
                </div> 
                <div class="col-md-6 col-xl-6 form-group">
                    <div class="checkbox-fade fade-in-primary">
                      <label>
                        <input type="checkbox" value="">
                        <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                        <span class="text-inverse">Allow others to see my profile in search results</span>
                      </label>
                    </div>
                </div>
                <div class="col-md-6 col-xl-6 form-group"></div> 
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label"><strong>Email Address</strong></label>
                    <div class="form-inline">
                        <label type="text" class="col-form-label" style="margin-right: 20px">nakarinb@bluecube.com.sg</label>
                        <button type="button" class="btn btn-primary btn-outline-primary text-center" (click)="changeemail.show()"><i class="icofont icofont-ui-edit"></i></button>
                    </div>
                </div>
                <div class="col-md-4 col-xl-4 form-group"> 
                    <label class="col-form-label"><strong>Phone Number</strong></label> 
                    <div class="form-inline">
                        <select name="select" class="form-control" style="margin-right: 20px">
                            <option value="opt1">+65</option> 
                            <option value="opt1">+62</option> 
                        </select> 
                        <input type="text" class="form-control" id="phone_number"  value="" style="margin-top: 3px">
                    </div>
                </div>
                <div class="col-sm-4 col-sm-4 form-group">
                    <label class="col-form-label"><strong>Mobile Number</strong></label> 
                    <div class="form-inline">
                        <select name="select" class="form-control" style="margin-right: 20px">
                            <option value="opt1">+65</option> 
                            <option value="opt1">+62</option> 
                        </select> 
                        <input type="text" class="form-control" id="mobile_number"  value="" style="margin-top: 3px">
                    </div>
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <div class="checkbox-fade fade-in-primary">
                      <label>
                        <input type="checkbox" value="">
                        <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                        <span class="text-inverse">Do not send email</span>
                      </label>
                    </div>
                    <br/>
                    <div class="checkbox-fade fade-in-primary">
                      <label>
                        <input type="checkbox" value="">
                        <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                        <span class="text-inverse">Share my email address</span>
                      </label>
                    </div>
                </div>
                <div class="col-md-4 col-xl-4 form-group">      
                    <div class="checkbox-fade fade-in-primary">
                      <label>
                        <input type="checkbox" value="">
                        <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                        <span class="text-inverse">Share my phone number</span>
                      </label>
                    </div>
                </div> 
                <div class="col-md-4 col-xl-4 form-group">      
                    <div class="checkbox-fade fade-in-primary">
                      <label>
                        <input type="checkbox" value="">
                        <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                        <span class="text-inverse">Share my phone number</span>
                      </label>
                    </div>
                </div>  
                <div class="col-lg-12 col-xl-12 form-group" style="margin-top: 50px">
                    <h5><strong><strong>Permissions And Roles</strong></strong></h5>
                    <hr/>
                </div> 
                <div class="col-md-12 col-xl-12 form-group">    
                    <label class="col-form-label"><strong>Service Roles</strong></label> 
                </div>
                <div class="col-md-12 col-xl-12 form-group">    
                    <label class="col-form-label"><code>></code> ATC Administrator</label> 
                </div>
                <div class="col-md-12 col-xl-12 form-group">    
                    <label class="col-form-label"><code>></code> ePDB Super Administrator (Level 6)</label> 
                </div>
                <div class="col-md-9 col-xl-9 form-group text-right">       
                </div>
                <div class="col-md-3 col-xl-3 form-group text-right" style="margin-top: 20px">       
                    <button type="button" [routerLink]="['/eim/profile']" (click)="openSuccessSwalChangeProfile()" class="btn btn-success btn-md btn-block waves-effect text-center m-b-20"><i class="icofont icofont-save"></i> Save Change</button>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- modal form validation change password -->
<app-modal-basic #changepassword [dialogClass]="'modal-lg'">
    <div class="app-modal-header">
        <h4 class="modal-title">Change Password</h4>
        <button type="button" class="close basic-close" (click)="changepassword.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="app-modal-body">
        <form [formGroup]="changepasswordform" (ngSubmit)="onSubmitChangePass()">
            <div class="form-group row">
                <div class="col-sm-12 text-left">
                    <label class="col-form-label"><strong>Current Password</strong></label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1"><i class="icofont icofont-ui-password"></i></span>
                        <input type="password" class="form-control" id="currentpassword"  placeholder="Current Password" formControlName="currentpassword">
                    </div>
                    <div class="messages text-danger error" *ngIf="changepasswordform.controls.currentpassword.errors?.required">Current Password can't be blank</div>
                </div>
            </div>
            <div class="form-group row">
                <div class="col-sm-12 text-left">
                    <label class="col-form-label"><strong>New Password</strong></label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1"><i class="icofont icofont-ui-password"></i></span>
                        <input type="password" class="form-control" id="password"  placeholder="New Password" formControlName="password">
                    </div>
                    <div class="messages text-danger error" *ngIf="changepasswordform.controls.password.errors?.required">New Password can't be blank</div>
                </div>
            </div>
            <div class="form-group row">
                <div class="col-sm-12 text-left">
                    <label class="col-form-label"><strong>Repeat Password</strong></label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1"><i class="icofont icofont-ui-password"></i></span>
                        <input type="password" class="form-control" id="rpassword" placeholder="Repeat Password" formControlName="rpassword">
                    </div>
                    <div class="messages text-danger" *ngIf="changepasswordform.controls.rpassword.errors?.required">Repeat password can't be blank</div>
                    <div class="messages text-danger" *ngIf="changepasswordform.controls.rpassword.errors?.equalTo">The passwords does not match</div>
                </div>
            </div>
            <div class="form-group row">
                <div class="col-sm-12 text-left">
                    <button type="submit" class="btn btn-success waves-effect waves-light " [disabled]="!changepasswordform.valid" (click)="openSuccessSwalChangePass()" (click)="changepassword.hide()"><i class="icofont icofont-save"></i> Save Changes</button>
                    <button type="button" class="btn btn-danger waves-effect" (click)="changepassword.hide()"><i class="icofont icofont-ui-close"></i> Close</button>
                </div>
            </div>        
        </form>
    </div>
</app-modal-basic>
<!-- end modal validation form change password -->

<!-- modal form validation change email -->
<app-modal-basic #changeemail [dialogClass]="'modal-lg'">
    <div class="app-modal-header">
        <h4 class="modal-title">Change Email Address</h4>
        <button type="button" class="close basic-close" (click)="changeemail.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="app-modal-body">
        <form [formGroup]="changeemailform" (ngSubmit)="onSubmitChangeEmail()">
            <div class="form-group row">
                <div class="col-sm-12">
                    <label class="col-form-label"><strong>Password</strong></label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1"><i class="icofont icofont-ui-password"></i></span>
                        <input type="password" class="form-control" id="emailpassword"  placeholder="Password" formControlName="emailpassword">
                    </div>
                    <div class="messages text-danger error" *ngIf="changeemailform.controls.emailpassword.errors?.required">Password can't be blank</div>
                </div>
            </div>
            <div class="form-group row">
                <div class="col-sm-12">
                    <label class="col-form-label"><strong>New Email Address</strong></label>
                    <div class="input-group">
                        <span class="input-group-addon" id="basic-addon1"><i class="icofont icofont-email"></i></span>
                        <input type="email" class="form-control" id="email" placeholder="name@email.com" formControlName="email">
                    </div>
                    <div class="messages text-danger error" *ngIf="changeemailform.controls.email.errors?.required">Email can't be blank</div>
                    <div class="messages text-danger error" *ngIf="changeemailform.controls.email.errors?.email">Invalid email address</div>
                </div>
            </div>
            <div class="form-group row ">
                <div class="col-sm-12 text-right">
                    <button type="submit" class="btn btn-success waves-effect" [disabled]="!changeemailform.valid" (click)="openSuccessSwalChangeEmail()" (click)="changeemail.hide()"><i class="icofont icofont-save"></i> Save Changes</button>
                    <button type="button" class="btn btn-danger waves-effect" (click)="changeemail.hide()"><i class="icofont icofont-ui-close"></i> Close</button>
                </div>
            </div>
        </form>
    </div>
</app-modal-basic>
<!-- end modal validation form change email -->